Package org.optaplanner.core.impl.solver.termination

## Class TerminationFactory<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.solver.termination.TerminationFactory<Solution_>

-     public class TerminationFactory<Solution_>
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected List<Termination<Solution_>>` | `buildInnerTermination​(HeuristicConfigPolicy<Solution_> configPolicy)` |
    `<Score_ extends Score<Score_>> Termination<Solution_>` | `buildTermination​(HeuristicConfigPolicy<Solution_> configPolicy)` |
    `Termination<Solution_>` | `buildTermination​(HeuristicConfigPolicy<Solution_> configPolicy, Termination<Solution_> chainedTermination)` |
    `protected Termination<Solution_>` | `buildTerminationFromList​(List<Termination<Solution_>> terminationList)` |
    `protected <Score_ extends Score<Score_>> List<Termination<Solution_>>` | `buildTimeBasedTermination​(HeuristicConfigPolicy<Solution_> configPolicy)` |
    `static <Solution_> TerminationFactory<Solution_>` | `create​(TerminationConfig terminationConfig)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static <Solution_> TerminationFactory<Solution_> create​(TerminationConfig terminationConfig)

    - #### buildTermination

          public Termination<Solution_> buildTermination​(HeuristicConfigPolicy<Solution_> configPolicy,
                                                         Termination<Solution_> chainedTermination)

    - #### buildTermination

          public <Score_ extends Score<Score_>> Termination<Solution_> buildTermination​(HeuristicConfigPolicy<Solution_> configPolicy)

      Parameters:
        `configPolicy` - never null
      Returns:
        sometimes null

    - #### buildTimeBasedTermination

          protected <Score_ extends Score<Score_>> List<Termination<Solution_>> buildTimeBasedTermination​(HeuristicConfigPolicy<Solution_> configPolicy)

    - #### buildInnerTermination

          protected List<Termination<Solution_>> buildInnerTermination​(HeuristicConfigPolicy<Solution_> configPolicy)

    - #### buildTerminationFromList

          protected Termination<Solution_> buildTerminationFromList​(List<Termination<Solution_>> terminationList)